This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 196091 - Review Request: cksfv - Utility to manipulate SFV files
Review Request: cksfv - Utility to manipulate SFV files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-20 18:09 EDT by Christopher Stone
Modified: 2008-05-26 00:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 02:42:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-06-20 18:09:29 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/cksfv.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/cksfv-1.3.9-1.src.rpm

Description:
cksfv is a utility that can create and use SFV files. SFV (Simple File
Verification) files are used to verify file integrity using CRC32
checksums.

NOTE:  This is an orphaned package, but I created a new spec file from scratch, so I'm requesting a review.
Comment 1 John Mahowald 2006-06-20 20:41:50 EDT
- rpmlint checks return:
E: cksfv configure-without-libdir-spec

Not for this configure, as noted in the spec.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED
Comment 2 Christopher Stone 2008-05-25 17:50:31 EDT
Package Change Request
======================
Package Name: cksfv
New Branches: EL-5
Comment 3 Kevin Fenzi 2008-05-26 00:17:08 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.